import { Edge, EdgePositions, ElementId, GraphNode, HandleElement, Position, Transform, XYPosition } from "../types";
export declare function getHandlePosition(position: Position, node: GraphNode, handle?: any | null): XYPosition;
export declare function getHandle(bounds: HandleElement[], handleId: ElementId | null): HandleElement | undefined;
export declare const getEdgePositions: (sourceNode: GraphNode, sourceHandle: HandleElement | unknown, sourcePosition: Position, targetNode: GraphNode, targetHandle: HandleElement | unknown, targetPosition: Position) => EdgePositions;
interface IsEdgeVisibleParams {
    sourcePos: XYPosition;
    targetPos: XYPosition;
    width: number;
    height: number;
    transform: Transform;
}
export declare function isEdgeVisible({ sourcePos, targetPos, width, height, transform }: IsEdgeVisibleParams): boolean;
declare type SourceTargetNode = {
    sourceNode: GraphNode;
    targetNode: GraphNode;
};
export declare const getSourceTargetNodes: (edge: Edge, nodes: GraphNode[]) => SourceTargetNode;
export {};
